# Ritiro contestuale

```json
{
    "date_req_ritiro":"2023-11-01",
    "opening_time":"08:00:00",
    "closing_time":"12:00:00",
    "opening_time2":"14:00:00",
    "closing_time2":"18:00:00"
}
```

Rispetto alla chiamata originale della [Shipment POST](/spedizioni-e-dintorni/shipment.md#shipment-post) si aggiungono questi campi con relativa descrizione

<table data-full-width="true"><thead><tr><th width="178">Campo</th><th width="104" data-type="checkbox">Required</th><th width="87">Type</th><th>Descrizione</th></tr></thead><tbody><tr><td>date_req_ritiro</td><td>true</td><td>string</td><td>Data per ritiro (formato YYYY-MM-DD)</td></tr><tr><td>opening_time</td><td>true</td><td>string</td><td>Ora apertura per ritiro (formato HH:MM:SS)</td></tr><tr><td>closing_time</td><td>true</td><td>string</td><td>Ora chiusura per ritiro (formato HH:MM:SS)</td></tr><tr><td>opening_time2</td><td>false</td><td>string</td><td>Seconda Ora apertura per ritiro (formato HH:MM:SS) <strong>SOLO PER TNT</strong></td></tr><tr><td>closing_time2</td><td>false</td><td>string</td><td>Seconda Ora chiusura per ritiro (formato HH:MM:SS) <strong>SOLO PER TNT</strong></td></tr></tbody></table>

{% hint style="warning" %}
Alcuni corrieri chiedono l'obbligatorietà di alcuni di questi dati in quanto effettuano contestualmente ritiro della merce
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.gsped.com/spedizioni-e-dintorni/shipment/casi-duso/ritiro-contestuale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
